Get a ticket
curl --request GET \
--url https://api.usefrictionless.com/api/v1/tickets/{ref} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.usefrictionless.com/api/v1/tickets/{ref}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.usefrictionless.com/api/v1/tickets/{ref}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usefrictionless.com/api/v1/tickets/{ref}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.usefrictionless.com/api/v1/tickets/{ref}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.usefrictionless.com/api/v1/tickets/{ref}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.usefrictionless.com/api/v1/tickets/{ref}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"ticket": {
"id": "NE-1042",
"ticketId": "c0a8f3e2-5b1d-4f7e-9a3c-1e2d3f4a5b6c",
"subject": "Refund for order 381",
"description": "<string>",
"type": "Refund",
"priority": "high",
"status": "in_progress",
"dueAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z",
"createdAt": "2026-11-04T09:12:00Z",
"updatedAt": "2026-11-05T10:00:00Z",
"notifyCustomer": true,
"customer": {
"name": "Ada Obi",
"channel": "whatsapp",
"phone": "+2348012345678",
"email": "<string>",
"userId": "user_42"
},
"owner": {
"name": "Kemi"
},
"chatUrl": "<string>",
"url": "https://usefrictionless.com/tickets/NE-1042"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Tickets
Get a ticket
GET
/
tickets
/
{ref}
Get a ticket
curl --request GET \
--url https://api.usefrictionless.com/api/v1/tickets/{ref} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.usefrictionless.com/api/v1/tickets/{ref}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.usefrictionless.com/api/v1/tickets/{ref}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.usefrictionless.com/api/v1/tickets/{ref}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.usefrictionless.com/api/v1/tickets/{ref}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.usefrictionless.com/api/v1/tickets/{ref}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.usefrictionless.com/api/v1/tickets/{ref}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"ticket": {
"id": "NE-1042",
"ticketId": "c0a8f3e2-5b1d-4f7e-9a3c-1e2d3f4a5b6c",
"subject": "Refund for order 381",
"description": "<string>",
"type": "Refund",
"priority": "high",
"status": "in_progress",
"dueAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z",
"createdAt": "2026-11-04T09:12:00Z",
"updatedAt": "2026-11-05T10:00:00Z",
"notifyCustomer": true,
"customer": {
"name": "Ada Obi",
"channel": "whatsapp",
"phone": "+2348012345678",
"email": "<string>",
"userId": "user_42"
},
"owner": {
"name": "Kemi"
},
"chatUrl": "<string>",
"url": "https://usefrictionless.com/tickets/NE-1042"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}
